/*Images css*/
/*.brand-gallery {
    max-width: 90vw;*/
/*margin: 10% auto;*/
/*display: grid;
    grid-template-columns: auto auto auto;
    grid-template-rows: auto;
    gap: 15px;
    grid-auto-flow: dense;
}*/
.brand-gallery {
    max-width: 90vw;
    max-height: 100vh;
    /* Limit to screen height */
    display: grid;
    grid-template-columns: repeat(11, 1fr);
    /* Needed since you're using 1–12 columns */
    grid-auto-rows: 1fr;
    /* Optional: makes rows flexible */
    gap: 15px;
    grid-auto-flow: dense;
}

.brand-item {
    position: relative;
    overflow: hidden;
    /* border-radius: 12px; */
    box-shadow: 0 4px 15px rgba(0, 0, 0, 0.1);
    /* transition: transform 0.3s ease, box-shadow 0.3s ease; */
}

.brand-item:hover img {
    transform: scale(1.1);
}


.brand-item img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    transition: transform 0.3s ease;
}

.item1 {
    grid-column: 1 /4;
    grid-row: 2 /4;
    box-shadow: 0rem -2rem #f2f2f2;
}

.item2 {
    grid-column: 4 /9;
    /*grid-column: 4 /10;*/
    grid-row: 1 /3;
}

.item3 {
    grid-column: 2 /4;
    /*grid-column: 1 /4;*/
    grid-row: 4 /5;
}

.item4 {
    grid-column: 4 /7;
    grid-row: 3 /5;
}

.item5 {
    grid-column: 7 /9;
    /*grid-column: 7 /10;*/
    grid-row: 3 /4;
}

.item6 {
    grid-column: 9 /11;
    /*grid-column: 10 /12;*/
    grid-row: 2 /4;
}

.item7 {
    grid-column: 7 /12;
    grid-row: 4 /6;
    box-shadow: -5rem 5rem #f2f2f2;
    z-index: -1;
}

.item5-2 {
    grid-column: 4 / 9;
    grid-row: 1 / 3;
}

.item3-1 {
    grid-column: 2 /5;
    grid-row: 2 /4;
    z-index: 11;
}

.item3-2 {
    grid-column: 5 / 10;
    grid-row: 1 / 3;
}

.item3-3 {
    grid-column: 5 / 8;
    grid-row: 3 / 5;
    box-shadow: -5rem 5rem #f2f2f2;
}

/*.item1 {
    grid-column: 1 /4;
    grid-row: 2/ 4;
    box-shadow: 0rem -2rem #f2f2f2;
}

.item2 {
    grid-column: 4 / 10;
    grid-row: 1 / 3;
}

.item3 {
    grid-column: 1/ 4;
    grid-row: 4 / 5;
}

.item4 {
    grid-column: 4 / 7;
    grid-row: 3 / 5;
    z-index:11;
}

.item5 {
    grid-column: 7 / 10;
    grid-row: 3 / 4;
}

.item6 {
    grid-column: 10/ 12;
    grid-row: 2 / 4;

}

.item7 {
    grid-column: 7/ 12;
    grid-row: 4 / 6;
    box-shadow: -5rem 5rem #f2f2f2;
}*/
.brand-item a {
    position: relative;
    z-index: 10;
    /* Ensure the link is above other elements */
}

/* Hide Owl Carousel styling if it's not initialized */
.owl-carousel.owl-loaded {
    display: block !important;
}

/* Override Grid on larger devices when carousel is needed */
@media (max-width: 767px) {
    .brand-gallery {
        display: none;
        /* JS will handle carousel display */
    }

    .brand-item {
        height: 200px;
    }

    .brand-item.horizontal-line-top::after,
    .brand-item.horizontal-line::after,
    .brand-item.horizontal-line-bottom::after,
    .brand-item.vertical-line-left::after {
        content: none !important;
        /* hides the pseudo-elements */
    }

    .item1 {
        box-shadow: none;
    }

    .item7 {
        box-shadow: none;
    }


}


/* Hover overlay effect */
.brand-item::before {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background: linear-gradient(45deg, rgba(0, 0, 0, 0.2), rgba(0, 0, 0, 0.4));
    opacity: 0;
    transition: opacity 0.3s ease;
    z-index: 1;
    /*border-radius: 12px;*/
}

.brand-item:hover::before {
    /*opacity: 1;*/
}

.brand-item.horizontal-line::after {
    content: "";
    position: absolute;
    left: -17px;
    right: 0;
    top: -7%;
    height: 1px;
    width: 30%;
    background: #be8c44;
    border-radius: 2px;
    align-self: center;
    z-index: -10;
}

.brand-item.horizontal-line-top::after {
    content: "";
    position: absolute;
    left: 60%;
    right: 0;
    top: -60px;
    height: 1px;
    width: 40%;
    background: #be8c44;
    border-radius: 2px;
    align-self: center;
    z-index: -2;
}

.brand-item.horizontal-line-bottom::after {
    content: "";
    position: absolute;
    left: 30%;
    right: 0%;
    bottom: -10%;
    height: 1px;
    width: 40%;
    background: #be8c44;
    border-radius: 2px;
    align-self: center;
    z-index: 10;
}

.brand-item.vertical-line-left::after {
    content: "";
    position: absolute;
    top: 20%;
    bottom: 20%;
    left: -40%;
    width: 1px;
    background: #be8c44;
    border-radius: 2px;
    z-index: 10;
}

/*Gallery End*/


h1.text-center {
    letter-spacing: 4px;
}

.brand-slider .item .card-title {
    color: #1B1918;
}




.icon-btn {
    width: 48px;
    /* height: 48px; */
    display: inline-flex;
    align-items: center;
    justify-content: center;
    background: #BE842C;
    border-radius: 50%;
    padding: 10px;
}

.icon-custom-border {
    border: 1px solid #dcd6d1;
    border-radius: 50%;
    padding: 5px;
}

.brand-primary-img-desk {
    position: relative;
    justify-content: flex-start;
    margin-top: 5rem;
    align-items: flex-start;
    width: fit-content;
}

.brand-primary-img-mob {
    position: relative;
    justify-content: flex-start;
    margin-top: 5rem;
    align-items: flex-start;
    width: fit-content;
    background: #fef9f2;
    border: 1px solid;
    border-color: #BE842C;
}

.brand-primary-img-desk .brandLogo {
    position: absolute;
    width: auto !important;
    position: absolute;
    bottom: calc(97%);
    left: 8%;
    max-width: 70%;
    max-height: 100px;
}

/*
.brand-primary-img-mob{
    display:none;
}
.brand-primary-img-desk{
    display:block
}
*/

@media(max-width:1024px) {

    .brand-primary-img-desk .brandLogo {
        position: absolute;
        width: auto !important;
        position: absolute;
        bottom: calc(97%);
        left: 8%;
        max-width: 70%;
        max-height: 80px;
    }

    .brand-primary-img-mob .brandLogo {
        position: absolute;
        width: auto !important;
        position: absolute;
        bottom: calc(97%);
        left: 8%;
        max-width: 70%;
        max-height: 80px;
    }

    .brand-primary-img-desk {
        display: none
    }

    .brand-primary-img-mob {
        display: flex;
    }

    .brand-primary-img-mob {
        display: flex;
        width: 100%;
        height: 100%;
        margin-top: 0;
        background: #fef9f2;
    }

    .brand-primary-img-mob .brandLogo {
        max-height: 100%;
        max-width: 100%;
    }

    /*
    .info-text {
        font-size: 1.3rem;
    }

    .icon-btn {
        width: 35px;
        padding: 6px;
    }*/

    .icon-custom-border {
        padding: 4px;
    }
}

@media (max-width: 767px) {


    .brand-primary-img-mob .brandLogo {
        max-height: 100%;
        max-width: 100%;
        position: relative;
        left: 0;
        bottom: 0;
    }

    .brand-primary-img-desk {
        display: none
    }

    .brand-primary-img-mob {
        display: flex;
    }

    .brand-primary-img-mob {
        display: flex;
        width: 100%;
        height: 100%;
        margin-top: 1rem;
        align-items: center;
        justify-content: center;
        padding: 20px;
        height: 100px;
        width: fit-content;
    }

    /*
    .info-text {
        font-size: 1.1rem;
    }

    .icon-btn {
        width: 25px;
        padding: 4px;
    }

    .icon-custom-border {
        padding: 1px;
    }*/

}

@media(min-width:768px) {
    .brand-primary-img-mob {
        display: none;
    }

    .brand-primary-img-desk {
        display: flex
    }

    .thumb-swiper {
        display: none;
    }
}

.mySwiper2 {
    --swiper-navigation-color: #fff;
    --swiper-pagination-color: #fff
}

.mySwiper2 img {
    width: 100%;
    height: 55vh;
    object-fit: cover;
}

.mySwiper img {
    width: 100%;
    height: 15vh;
    object-fit: cover;
}

.mySwiper .swiper-slide {
    opacity: 0.6;
    cursor: pointer;
    transition: opacity 0.3s, transform 0.3s;
}

.mySwiper .swiper-slide-thumb-active {
    opacity: 1;
    /*transform: scale(1.03);*/
}

.btn-outline-secondary {
    color: black;
}

.img_wrapper {
    height: 150px;
    padding: 20px;
    background: #fbf7f4;
}

.img_wrapper img {
    width: 100%;
    height: 100%;
    margin: auto;
    object-fit: contain;
    object-position: center;
}

@media(max-width:576px) {
    .brand-primary-img-desk {
        display: none
    }

    .brand-primary-img-mob {
        display: flex;
        margin-top: 0;
        padding: 15px;
    }

    .brand-primary-img-mob .brandLogo {
        max-height: 100%;
        max-width: 100%;
    }

    .info-text {
        font-size: 1rem;
    }

    .icon-btn {
        width: 25px;
        padding: 4px;
    }

    .icon-custom-border {
        padding: 1px;
    }

    .img_wrapper {
        height: 120px;
        padding: 20px;
        /*height:auto;*/
    }


    .mySwiper2 img {
        height: 40vh;
    }
}


@media(max-width:500px) {
    .img_wrapper {
        height: 90px;
        padding: 10px;
        /*height:auto;*/
    }

    .card-title {
        font-size: 1rem;
    }

    .filter {
        font-size: 14px !important;
    }

    .heading {
        font-size: 1.6rem;
    }

    .bl-icon:nth-child(1) {
        margin-right: 2px;
    }

    .bl-icon .rounded-circle {
        padding: 4px;
        font-size: 8px;
    }

    .card-text {
        font-size: 0.9rem;
        font-weight: bold;
        margin-top: 1px;
        letter-spacing: 0.5px;
    }
}